Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Je kunt ook een cookievrije versie van de website bezoeken met minder functionaliteit. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , reacties: 97, views: 22.100 •

Bezitters van OS X Lion die de bèta van Apples chatclient Messages hebben geïnstalleerd, kunnen deze vanaf 14 december niet meer gebruiken. Dan verloopt de bèta, en alleen op Macs met Mountain Lion is de dienst dan nog te bereiken.

Apple logoGebruikers van OS X Lion, de vorige versie van Apples besturingssysteem, konden de bèta van Messages al niet meer downloaden sinds half juni. Gebruikers die de bèta al hadden geïnstalleerd konden deze echter nog gebruiken. Daar komt op 14 december een eind aan, schrijft Computerworld: dan verloopt de bèta en kunnen alleen bezitters van de nieuwste OS X-versie, Mountain Lion, de dienst gebruiken. Een upgrade naar Mountain Lion kost 18 euro, maar niet alle Macs kunnen de nieuwste versie draaien.

De Messages-software voor de desktop is zowel de opvolger van chatclient iChat als een dienst waarmee OS X-gebruikers kunnen communiceren met elkaar en met gebruikers van iOS. Op de iPhone is de dienst min of meer een vervanging van sms: als iOS herkent dat een conversatiegenoot ook over iOS beschikt, worden bericht niet over sms verstuurd, maar via Messages.

Reacties (97)

Waarom ondersteunen ze het niet meer? Ik heb hier een MacMini die geen ML meer kan draaien (dat weigert het systeem te installeren) daar kan ik straks geen Messages op draaien.

Kleine moeite om het te laten werken... moet Apple nu perse het verwijderen zodat de enige oplossing een nieuwe MacMini kopen is?
Een upgrade naar Lion kost 20 dollar, maar niet alle Macs mogen de nieuwste versie draaien.
kleine aanpassing ;)
Het is niet eens kwestie van mogen.
http://www.apple.com/osx/specs/

http://arstechnica.com/ap...tly-into-that-good-night/

Volgens deze website heeft het te maken met dat ML alleen nog maar 64-bit in de kernel wil draaien en dat de oude Macs een videokaart hebben die niet ondersteunt wordt in 64-bit.
Waarom dat dan niet kan blijft onduidelijk.
Dan wil ik graag van jouw een Technisch document waarin bewezen word dat een niet ondersteunende MAC ALLE functies van het nieuwe OS ondersteund, zonder problemen of vertragingen. En binnen de marges/normen die Apple stelt.

Ik kan op een bak van 10 jaar geleden ook wel Windows7 krijgen, en dat mag van MS... De performance is dan natuurlijk waardeloos.

He, maar als je dat wilt... ga je gang en koop een ander merk. Apple behoed zijn klanten voor dit soort problemen. Of je het daar mee eens bent boeit niemand iets. Ik ben er blij mee. Dat ik af en toe iets afschrijf wat nog werkt vind ik niet zo erg. Ik zou het veel erger vinden als ik talloze opties heb in mijn OS die mijn hardware niet ondersteund, of traag en slecht draaien.

De 1 koopt zijn zekerheid, en de anders bespaard door risico te nemen.
Is dit niet dezelfde discussie als Android telefoons die niet de nieuwste versies kunnen/mogen draaien? (S2 bijvoorbeeld)

Ik vind persoonlijk dat je wel erg goed over Apple praat. Net zoals SoloH aangeeft, is het probleem dat Apple met OSX ML (volledig) is overgestapt op 64-bit. Wat ze vervolgens 'vergeten' zijn is het omschrijven van sommige 32-bit drivers (kexts/frameworks) naar een 64-bitter. Als deze geport waren naar een 64-bit kext, was er echt geen (grote) performance verliest geweest.

Het is voor sommige mensen van bijvoorbeeld een S2 die 400 euro kosten drie jaar terug, ook raar dat ze geen upgrades meer krijgen. Hetzelfde is dat voor Mac's die ook maar een paar jaar oud zijn en opeens geen upgrade krijgen. Terwijl ze die upgrade zonder problemen zouden kunnen draaien. Sterker nog, je zou in theorie zelfs een 64-bit kernel kunnen booten op een oudere Mac met een 32-bit EFI. (Chameleon, etc.) Maar dit staat weer buiten deze discussie. ;)

En ook daarvoor koop je een duurder toestel, omdat je toch verwacht dat het nog wat langer ondersteuning zou meekrijgen. Dat het apparaat niet meer bruikbaar zou zijn staat buiten deze discussie.

Wat ik overigens wel vreemd vind, is dat je eerst een nieuwe dienst introduceert in Lion, vervolgens deze er weer uithaalt, en deze alleen laat draaien op Mac's met ML, terwijl deze (waarschijnlijk) ook weer zonder problemen draait op Lion. Pfff.. vooruitgang. :P

[Reactie gewijzigd door beta990 op 20 november 2012 12:32]

Dit was toch gewoon bekend, dat de BETA van Messages tiijdelijk was voor Lion
Idd, dat werd er vanaf het begin bij gemeld dat de beta tijdelijk was.
Toch is het zonde, had dan net als FaceTime 80 cent gevraagd voor mensen met oudere versies
de ondersteuning die apple bied voor zijn producten lijkt tegenwoordig toch wel vrij kort. Gelukkig is er nog ubuntu dat de mac naar mijn mening zelfs beter afgaat dan zijn eigen OSx en dat de levensduur van je kistje appelen makklijk met 5 jaar kan rekken maar dat kan toch de bedoeling niet zijn. Het is tevens geen optie voor gebruikers van adobe of MS software.
Idd heb al tijden (alleen) Ubuntu draaien op mijn MacBook, werkt snel en wordt ondersteund!
Allemachtig, dat was deze morgen het verkeerde been zeker?
Het gaat hier om een beta product, en zoals bij alle beta software verloopt de ondersteuning een keer. Ze hadden inderdaad ook kunnen zeggen, blijf maar doordraaien maar wat als je dan later iets op de achtergrond wijzigt waardoor het niet meer werkt?
Op het moment dat je de beta installeert accepteer je de overeenkomst waarbij vaak genoemd wordt dat de versie eindig is. En dat is niet voor niks bij beta's.
Onzinnig om deze actie te discussiëren, enige zou kunnen zijn waarom men geen iMessage voor Lion uitbrengt.

En het is te merken dat je nooit voor die "rommel" gevallen bent, want dan had je niet gezegd dat het een nieuwe versie is. iMessage is gewoon een compleet nieuw product en iChat werkt nog gewoon op Lion.
Denk dat dit ook ingegeven zal zijn door de gebruikscijfers van Messages. Als ik een beetje in mijn vriendenkring rondkijk dan hebben mensen of 10.6 Snow Leopard, of 10.8 Mountain Lion, maar geen 10.7 Lion meer.

Om dan nog voor dat kleine groepje de Beta te laten draaien levert meer problemen op dan dat het functionaliteit levert (volgens mij hebben ze al wat gracetime gehad, het was vrij duidelijk gecommuniceerd dat het tijdelijk was).

Wat betreft de integratie van iOS en OS X is Mountain Lion ook echt beter. Toch heb ik het idee dat zowel iOS 6 als 10.8 nog steeds een overgangsfase vertegenwoordigen naar echt naadloos geintegreerde Mobiel/Desktop/Cloud-omgevingen.
1.PC's van 3 jaar oud zijn afgeschreven. Een Mac uit 2007 is dus al 5 jaar oud, dus ook allang afgeschreven. Niemand zal sympathie met je hebben omdat je afgeschreven rommel gebruikt.
2.Het was een gratis beta. Dat project is nu ten einde, en je hebt geen poot om op te staan. Dat is het risico van beta's gebruiken.
3.Apple is een hardware boer, geen software boer. Alle door hun uitgebrachte software bestaat met het doel om meer hardware te verkopen. Dat jij met je oude spullen daar mee van kan genieten is een bonus voor jou, geen verplichting van hun.

edit: ik gebruik oveigens met veel plezier nog mijn afgeschreven rommel, een witte macbook uit 2007 met lion. :P

[Reactie gewijzigd door Shark.Bait op 19 november 2012 14:38]

Een PC of Mac van 5 jaar oud is afgeschreven rommel??? Proest! Laat je vooral aanpraten dat dat daadwerkelijk het geval is, maar ga die onzin niet tegen anderen verkondigen. Een goed onderhouden PC van 5 jaar oud (bijv. een Core2Duo) zal voor de meeste huis-tuin-en-keuken taken nog meer dan voldoende zijn, en ook als werkplek voor de gemiddelde beeldscherm-medewerker nog voldoen. Het wordt een ander verhaal wanneer je zware software draait (grafisch, programmeren), maar lopen verkondigen dat een PC na 3 jaar afgeschreven is, en dus rommel, is klinkklare onzin.
Het wordt een ander verhaal wanneer je zware software draait (grafisch, programmeren), maar lopen verkondigen dat een PC na 3 jaar afgeschreven is, en dus rommel, is klinkklare onzin.
Je haalt de termen "bruikbaar" en "afschrijven" door elkaar. Natuurlijk is een PC van 5 jaar oud nog steeds bruikbaar, maar ga je kijken naar de afschrijftermijn, dan is hij aan het eind van z'n leven.
maar lopen verkondigen dat een PC na 3 jaar afgeschreven is, en dus rommel, is klinkklare onzin.
Ach, de belastingdienst gaat ermee akkoord. Dus zo'n onzin is het ook weer niet. Het is de standaard fiscale afschrijftermijn.

Natuurlijk moet je onderscheid maken tussen fiscaal afschrijven en technisch afschrijven, maar op zich heb ik in de meeste organisaties wel gezien dat ze die drie jaar als afschrijftermijn hanteren. Dat wil vooral zeggen, supportcontracten zijn vaak gericht op die 3 jaar termijn en na die tijd wordt er voor gekozen om hardware te vervangen of de support op de huidige omgeving te verlengen.

Meer dan 5 jaar dezelfde hardware ben ik weinig tegen gekomen, alhoewel zeker binnen de grotere organisaties er natuurlijk altijd systemen blijven plakken. (Een ouwe win2k-bak waarvan de leverancier van de softwareapplicatie al jaren over de kop is, maar het nog nooit tot vervangen van de applicatie is gekomen.).
Hoezo is Apple geen software boer?
Ze leveren hardware: Macbooks, MacPro's, iMacs, iPads, iPhones etc. --> check!
Ze leveren software: OS-X, iOS, Safari, iTunes, Quicktime etc. --> check!

Apple levert (net als MS trouwens) beiden. Nou is Apple van oudsher wel meer Hardware dan Software leverancier omdat vaak de software puur voor eigen apparatuur is bedoeld maar dat geldt niet voor alle software.

iTunes en Safari zijn 2 duidelijke voorbeelden van software die ook duidelijk bedoeld is om op andere platformen te draaien dan alleen Apple combo's. Dat het daar dan niet optimaal werkt komt weer door beslisingen bij Apple daaromtrent.

Ik durf zelfs te stellen dat je op Apple hardware (PC's en laptops in ieder geval) ook een ander OS kan draaien zonder veel problemen. Ook Apple's OS-X kan op andere hardware draaien dan hun eigen hardware.

Dat zij proberen met hun software jou over te halen Apple hardware te kopen bestrijd ik niet. Ook niet dat zij proberen jou over te halen nieuwere hardware te kopen bij hun nieuwste software. Maar de concurrentie probeert je daar ook toe over te halen. Nieuwere versies van Windows werken vaak beter op nieuwere hardware met betere specificaties dan op oudere apparatuur met mindere specificaties.
Je kan het leuk verkopen, feit blijft dat slechts 7% van de winst van apple uit iets anders dan hardware komt. Omdat 93% hardware is, is apple dus een hardware boer :)
Nog geen anderhalf jaar naar release wordt de ondersteuning al opgeheven?

Dat is wel heel snel.

En kan dat zomaar wel?

Volgens mij heb je minimaal 2 jaar garantie op je gekocht product in Nederland.
Zonder ondersteuning heb je geen garantie dat het allemaal naar behoren blijft werken.
Lezen is een vak: "BETA". As in: tijdelijke testversie zonder ondersteuning, garanties of wat dan ook.
Je aangeschaft product werkt nog altijd nét zoals werd beloofd bij de aankoop. Lion heeft nooit iMessage gehad, en het werd ook niet aangekondigd dat het wel ooit iMessage zou hebben. Enkel de beta werd uitgebracht met de melding dat dit een tijdelijke testversie was voor een release op Mountain Lion. Dus ja, het kan "zomaar" wel... :O
Beta houd ook in 'geen aansprakelijkheid' in de us (als ik mij goed herinner. Dat verklaard veel bij langdurige beta's.
Het is geen gekocht produkt, maar een beta.
Lion blijft prima werken, je kunt alleen geen messages draaien ;)

Vind het overigens wel belachelijk dat een OS nu al softwarematig niet meer wordt ondersteund terwijl het half 2011 uit is gekomen, net iets meer dan een jaar uit...

Kan me herinneren dat een bedrijf uit redmond een OS uit 2001 nog steeds ondersteund
Er wordt geen ondersteuning meer gegeven op een heel klein stukje extra beta software die veel later werd toegevoegd aan Lion.

Lion zelf wordt nog prima ondersteund.
Kan me herinneren dat een bedrijf uit redmond een OS uit 2001 nog steeds ondersteund
Praktisch geen enkele nieuwe feature van Vista, laat staan Windows 7 of 8, is ooit beschikbaar geweest voor Windows XP. En bijvoorbeeld DirectX 11.1 gaat Microsoft niet eens meer voor Windows 7 uitbrengen.

Apple ondersteunt volgens mij zelfs OS X 10.4 nog gewoon met security updates, dus ongeveer net als Microsoft met Windows XP doet. Het enige wat in dit artikel staat is dat ze de beta versie van Messages niet als final uit gaan brengen voor Lion.

Overdrijven is ook een kunst, maarja het gaat over Apple dus dan is alles geoorloofd... :X
Mjah, maar dit gaat over een messaging client, niet echt rocket science om dat beschikbaar te maken voor een oudere OS versie, jij doet alsof MSN of Windows Messenger ineens alleen beschikbaar was voor Vista bij Microsoft.

Dus ja, inderdaad, voor Apple gelden andere regels blijkbaar....RDF regels.

[Reactie gewijzigd door Tijger op 19 november 2012 12:34]

Messages is altijd gebracht als de opvolger van iChat in Mountain Lion. Dat er een Developers Preview is uitgekomen voor Lion is dan ook bijzaak. iChat is toch prima te gebruiken, met de meeste features onder Lion? Sterker nog, iChat kan tenminste videochatten buiten iMessage om.
Messages is altijd gebracht als de opvolger van iChat in Mountain Lion.
Idd. zoek maar eens op iChat in spotlight in 10.8: staat Messages bovenaan :-) (Idem voor Address Book -> Contacts en iCal -> Calendar)
Ik vraag me wel eens af of je met Nederlands consumentenrecht niet mag verwachten van Apple (of eigenlijk: de winkelier) dat de softwaresupplier langer met updates blijft komen. Nu wordt je bij een premium product door Apple eigenlijk zeer actief naar een nieuwe computer gedwongen, omdat nieuwe features en beveiligingsupdates na ongeveer 2 jaar niet meer worden aangeboden. Dat lijkt me met de Nederlandse wetgeving niet legaal, laat staan dat je zo met je premium klanten moet omgaan.
Begin eens met het artikel opnieuw te lezen.

Er staat niet "Apple beëindigt Lion ondersteuning".

Als jij een Apple koopt, dan kun je er zeker van zijn dat je jarenlang ondersteuning hebt al zal je zo'n beetje eens per 1 a 2 jaar een OS upgrade moeten aanschaffen (heb je meer Macs, dan volstaat aanschaf van 1 upgrade via de App Store, kost je dus maar twee tientjes).

We hebben hier nog een oude MacBook Pro 2,2 van ehm... 2005? Dat ding draait OS-X Lion, werkt prima, wordt elke dag gebruikt. En deze wordt netjes ondersteund door Apple. Mountain Lion gaat niet werken op deze machine. 7 jaar vind ik netjes. Trouwens, er staat hier ook nog een hele oude Mac Mini G4. Die wordt niet meer ondersteund maar draait Leopard en veel software draait daar gewoon goed genoeg op - wel Java uitgeschakeld.

Maar goed, er staat hier ook een oude Windows laptop met XP, ook een jaar of 6 oud. Ook al vertoont die hardwarematig veel mankementen, het ding doet het wel.

Al met al, ik zou het best terecht vinden dat 5 jaar software ondersteuning de standaard wordt voor hardware. En ik wil daar best meer voor betalen, bv. door te betalen voor verlengde ondersteuning of zo. Is altijd goedkoper dan nieuwe hardware aanschaffen - en zeg nou zelf, wie wil er nu een werkende MacBook Pro G5 bij het grof vuil zetten? Of een oude Mac Pro?
Zie boven voor een argumentatie waarom binnen het ecosysteem "Apple" je als klant langer dan nu veelal het geval ook recht hebt op nieuwe software. Loop naar een Apple-winkel en zie hoe ze je een Apple-product aanprijzen met een verwijzing naar al het nieuws dat uitkomt. Daarmee schep je een verwachting. Die verwachting kan in rechte afdwingbaar zijn. Juist wanneer Apple binnen de promotie van Beta naar RTM actief differentieert naar productlevensduur.

[Reactie gewijzigd door paknaald op 19 november 2012 10:25]

Twee zaken:
1. een verkoper is alleen verplicht garantie te leveren op producten zoals verkocht. Daar vallen de verplichting tot updates niet onder (tenzij die nodig zijn voor het oplossen van non-conformiteit) en al helemaal geen ondersteuning voor extra features die na aankoop als tijdelijke beta beschikbaar zijn gesteld.

2. Apple dwingt je helemaal niet tot het aanschaffen van een nieuwe computer. Je kunt een Mac van 2 jaar oud gewoon upgraden naar OS X Mountain Lion.
Je kunt een Mac van 2 jaar oud gewoon upgraden naar OS X Mountain Lion.
Maar alleen als je amerikaanse onzin-kaarten (credit cards) hebt. Ik heb zo'n ding niet en wil zo'n ding niet. Zolang je niet met je bankrekening of iDeal kan betalen kan ik niks kopen in die gare app store.
Niet dat het mij wat uitmaakt, ik gebruik m'n mac mini voornamelijk als mediaplayer op de TV en het ding draait nog snow leopard, dus dat iMessage zal me worst wezen, maar ik vind dat als ze hier in NL producten verkopen, dat ze die aan moeten bieden op een manier waarop een Nederlander er iets aan heeft. Ik ken maar bar weinig mensen met een credit card.
Apple is rijk genoeg om iets simpels als iDeal betalingen in te bouwen.
Dat jij niet een dergelijke kaart hebt, wil nog niet direct zeggen dat Apple per se andere betaalwegen moet accepteren. Als ze morgen besluiten dat ze uitsluitend betaald willen worden in roze bierdopjes, dan gaan ze hun gang maar, daar hebben ze alle recht toe.

De marktpenetratie van creditcards is in Nederland ook vrij groot moet ik trouwens zeggen. Een groot deel, zo niet alle, van mijn vrienden heeft er wel 1. Dat wil niet zeggen dat ze hem dagelijks gebruiken, dat ben ik met je eens. Maar CCs zijn nou eenmaal de defacto standaard voor kopen op afstand.
Dan loop je gewoon naar de Albert Hein, Intertoys, of één van de vele andere verkooppunten en koopt een iTunes card. Daarmee kun je gewoon in de Appstore betalen.
Daarnaast kun je ook betalen via Clickandbuy, waarbij je geen creditcard nodig hebt, en het bedrag gewoon van je bankrekening afgeschreven wordt.
Kan je dat ook staven met iets? Of is het een onderbuikbewering? Het product kan toch nog steeds wat het bij aanschaf kon?
Euhm, "onderbuikbewering"?? Messages is gewoon aangekondigd als bèta met de uitdrukkelijke melding dat dit enkel in Mountain Lion beschikbaar zou worden.
Ergens jammer dat dit niet meer uitgebracht wordt op Lion, maar het enige wat je ervoor moet doen is een update van 20 EUR kopen.
Trouwens, Microsoft doet vaak net hetzelfde. Er zijn al genoeg pakketten te vinden die wel op 7 of 8 werken, maar niet op XP of Vista.
Trouwens, Microsoft doet vaak net hetzelfde. Er zijn al genoeg pakketten te vinden die wel op 7 of 8 werken, maar niet op XP of Vista.
Maar Messages werkt gewoon op lion, dat heeft de beta bewezen..
Dat het erop werkt ja, maar het hoort bij hoort bij de nieuwe versie.
Nog even los van of ze het moeten doen, moet je je wel realiseren dat het een beta-programma was om Messages te testen voor de uiteindelijk Mountain Lion release. Dat is vanaf de eerste dag zo aangekondigd. Het is nooit onderdeel geweest van Lion en ook nooit uitgebracht als product voor Lion. Dus er is helemaal geen sprake van het wegnemen van functionaliteit of het dwingen naar een upgrade. Als je deelgenomen hebt aan het beta-programma wist je dit vanaf dag 1, tenzij je de voorwaarden bij het aanmelden niet gelezen hebt (maar dat is dan je eigen schuld...)
Dat lijkt me met de Nederlandse wetgeving niet legaal, laat staan dat je zo met je premium klanten moet omgaan.
Het punt is dat het hier niet ging om een betaald premium product, maar om een gratis te downloaden beta versie. Als de hard- en software eisen voor de uiteindelijke versie anders zijn dan die van de beta-versie, dan kan je waarschijnlijk hoog en laag springen, maar heb je geen poot om op te staan.
Ik denk dat mijn opmerking maar deels off-topic lijkt.

Het is moeilijk uit consumentenrecht een recht op nieuwe functies te verwachten.

Tenzij het nieuwe functies ontvangen deel is van het product dat je koopt! En dat is het geval bij Apple. Een deel van de charme is dat het ecosysteem van Apple 'leeft'. Nu gooit Apple telkens klanten met een iets ouder product uit het ecosysteem. Dat was niet waarom je een Apple (als onderdeel van het ecosysteem) gekocht had. Ergo, verdedigbaar recht op updates en nieuwe software!

Apple is ook nog inconsistent door oudere producten in andere lijnen (bijv. iPods, iPads) langer van updates te voorzien dan het product waarbij updaten het gemakkelijkst is (de pc).

Overigens is het wel een interessante vraag of de technologische vooruitgang in deze markt nu niet zo hoog is, dat je niet meer dan 2 jaar levensduur binnen het ecosysteem moet mogen verwachten. Maar dat is aan de rechter en wetgever.

[Reactie gewijzigd door paknaald op 19 november 2012 10:19]

Niemand gooit jou uit het ecosysteem. Dat slaat helemaal nergens op! Zolang jij niet upgrade wordt je mac niet ineens trager of mist hij dingen. Nee hij werkt nog net zo als op de dag dat je hem kocht. Dat jij nou liever de functies hebt die nieuwe kopers ook krijgen... Tsja natuurlijk mag je daarvoor betalen of dacht je dat ze je auto ook maar even gratis upgraden met nieuwe functies als stoelverwarming?
Je zat met je oudere product nooit echt in het eco-systeem. Het was beta-software en als Apple om wat voor reden ook vind dat het niet voldoet op Lion, kunnen ze het schrappen. Het zat er nooit standaard in.
Laten we vooral de wetgever laten bepalen hoe een commercieel bedrijf om gaat met backwards compatibility. Dit lijkt me niet wenselijk. Als consumenten vinden dat ze te weinig nieuwe functionaliteiten krijgen na aanschaf, dan moeten ze het product niet meer kopen.

Binnen afzienbare tijd zullen consumenten een merk links laten liggen als een concurrent een betere service levert. De markt is een veel betere handhaver dan een wetgever.

Op dit item kan niet meer gereageerd worden.



Populair:Apple iPhone 6Samsung Galaxy Note 4Apple iPad Air 2FIFA 15Motorola Nexus 6Call of Duty: Advanced WarfareApple WatchWorld of Warcraft: Warlords of Draenor, PC (Windows)Microsoft Xbox One 500GBTablets

© 1998 - 2014 Tweakers.net B.V. Tweakers is onderdeel van De Persgroep en partner van Computable, Autotrack en Carsom.nl Hosting door True

Beste nieuwssite en prijsvergelijker van het jaar 2013